/*********************************************/
/*                                           */
/*  ThkColorPicker Demo                      */
/*  Copyright  2004 Hristo Kostov (Runner)  */
/*  All rights reserved                      */
/*                                           */
/*********************************************/

//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "Main.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "hkColorPicker"
#pragma resource "*.dfm"
TfrmMain *frmMain;
//---------------------------------------------------------------------------
__fastcall TfrmMain::TfrmMain(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TfrmMain::hkColorPickerTimer(TObject *Sender)
{
  pnlColor->Color = hkColorPicker->Color;
  lblColor->Caption = ColorToString(hkColorPicker->Color);
}
//---------------------------------------------------------------------------
void __fastcall TfrmMain::edtIntervalChange(TObject *Sender)
{
  int val = StrToIntDef(edtInterval->Text, udInterval->Position);
  edtInterval->Text = IntToStr(val);
  hkColorPicker->Interval = val;
}
//---------------------------------------------------------------------------
void __fastcall TfrmMain::chbEnabledClick(TObject *Sender)
{
  hkColorPicker->Enabled = chbEnabled->Checked;
}
//---------------------------------------------------------------------------
